<?xml version="1.0" encoding="ISO-8859-1"?>
<!-- Generated	by NCL Eclipse -->
<ncl id="conectores" xmlns="http://www.ncl.org.br/NCL3.0/EDTVProfile">
	<head>
		<connectorBase>
			
			<causalConnector id="onEndAttributionStopSetStart">
				<connectorParam name="var"/>				
				<simpleCondition role="onEndAttribution"  max="unbounded"  qualifier="or"/>			
				<compoundAction operator="seq">
					<simpleAction role="stop" max="unbounded" qualifier="seq"/>
					<simpleAction role="set" value="$var"  max="unbounded" qualifier="seq"/>
					<simpleAction role="start"  max="unbounded" qualifier="seq"/>					
				</compoundAction>	
			</causalConnector>
			
			<causalConnector id="onBeginStart">
				<simpleCondition role="onBegin" />
				<simpleAction role="start" max="unbounded"/>
			</causalConnector>
			<causalConnector id="onBeginStartRepeat">
				<simpleCondition role="onBegin" />
				<simpleAction role="start" repeat="30" max="unbounded"/>
			</causalConnector>
			<causalConnector id="onBeginStartDelay">
				<simpleCondition role="onBegin" />
				<simpleAction role="start" delay="3s" duration="3s" max="unbounded"/>
			</causalConnector>
			
			<causalConnector id="onEndAbort">
				<simpleCondition role="onEnd" />
				<simpleAction role="abort" max="unbounded"/>
			</causalConnector>
			
			<causalConnector id="onEndStop">
				<simpleCondition role="onEnd" />
				<simpleAction role="stop" max="unbounded"/>
			</causalConnector>
			
			<causalConnector id="onEndStart">
				<simpleCondition role="onEnd" />
				<simpleAction role="start" max="unbounded"/>
			</causalConnector>
			
			<causalConnector id="onEndAttributionSet">
				<connectorParam name="var"/>				
				<simpleCondition role="onEndAttribution"  max="unbounded"  qualifier="or"/>			
				<compoundAction operator="seq">
					<simpleAction role="set" value="$var"  max="unbounded" qualifier="seq"/>				
				</compoundAction>	
			</causalConnector>
			
			<causalConnector id="onKeySelection">
          		<connectorParam name="keyCode"/>
          		<simpleCondition role="onSelection" key="$keyCode"/>
           		<compoundAction operator="seq">
	           		<simpleAction role="stop"/>
            		<simpleAction role="start"/>
          		</compoundAction>
        	</causalConnector>
			
			
			
			
			
			
			
			<causalConnector id="onKeySelectionSet">
				<connectorParam name="keyCode"/>
				<simpleCondition role="onSelection" key="$keyCode"/>
				<compoundAction operator="seq">
                    <simpleAction role="set" value="$var" max="unbounded" qualifier="seq"/>
                </compoundAction>
			</causalConnector>
			
			<causalConnector id="onSelectionStart">
				<simpleCondition role="onSelection" />
				<simpleAction role="start" max="unbounded"/>
			</causalConnector>
			<causalConnector id="onSelectionStop">
				<simpleCondition role="onSelection" />
				<simpleAction role="stop" max="unbounded"/>
			</causalConnector>
			<!--SELECCION DE UN BOTON DEL CONTROL REMOTO-->
			<causalConnector id="onKeySelectionStart">
				<connectorParam name="aTecla"/>
				<simpleCondition role="onSelection" key="$aTecla"/>
				<simpleAction role="start" max="unbounded"/>
			</causalConnector>
			<causalConnector id="onKeySelectionStop">
				<connectorParam name="aTecla"/>
				<simpleCondition role="onSelection" key="$aTecla"/>
				<simpleAction role="stop" max="unbounded"/>
			</causalConnector>
			<causalConnector id="onKeySelectionStopStart">
                    <connectorParam name="aTecla"/>
                    <simpleCondition role="onSelection" key="$aTecla"/>
                    <compoundAction operator="seq">
                        <simpleAction role="start" max="unbounded"/>
                        <simpleAction role="stop" max="unbounded"/>
                    </compoundAction>
			</causalConnector>			
			
			<causalConnector id="onBeginSet">
                <connectorParam name="var"/>
                <simpleCondition role="onBegin"/>
                <compoundAction operator="seq">
                    <simpleAction role="set" value="$var" max="unbounded" qualifier="seq"/>
                </compoundAction>               
            </causalConnector>
            
            <causalConnector id="onBeginSetStart">
                <connectorParam name="var"/>
                <simpleCondition role="onBegin"/>
                <compoundAction operator="seq">
                    <simpleAction role="set" value="$var" max="unbounded" qualifier="seq"/>
                    <simpleAction role="start" max="unbounded" qualifier="seq"/>
                </compoundAction>               
            </causalConnector>
            <causalConnector id="onEndSet">
                <connectorParam name="var"/>
                <simpleCondition role="onEnd"/>
                <compoundAction operator="seq">
                    <simpleAction role="set" value="$var" max="unbounded" qualifier="seq"/>
                </compoundAction>               
            </causalConnector>
            
            <causalConnector id="onBeginEndMenu">
                    <connectorParam name="oSetTecla"/>
                    <simpleCondition role="onSelection" key="$oSetTecla"/>
                    <compoundAction operator="seq">
                        <simpleAction role="start" qualifier="seq"  max="unbounded"/>
                        <simpleAction role="abort" qualifier="seq"  max="unbounded"/>
                    </compoundAction>
                </causalConnector>
                
		</connectorBase>

	</head>
</ncl>